package com.syjy.calculate.function;

import com.googlecode.aviator.AviatorEvaluator;
import com.googlecode.aviator.runtime.function.AbstractFunction;
import com.googlecode.aviator.runtime.type.AviatorDecimal;
import com.googlecode.aviator.runtime.type.AviatorObject;
import com.googlecode.aviator.runtime.type.Sequence;
import java.math.BigDecimal;
import java.util.Map;

/**
 * 计算两个数的差值的平方并求和：Σ(实际-预测)²
 *
 * @author zcl
 * @version 1.0
 * @since 2022/9/8 9:30
 */
public class SumDifferenceSquare extends AbstractFunction {
    @Override
    public AviatorObject call(Map<String, Object> env, AviatorObject arg1) {
        Object first = arg1.getValue(env);
        // 将参数转为集合
        Sequence seq = CommonUtil.getSeq(first,env);
        BigDecimal sum = BigDecimal.ZERO;
        // 循环集合
        for (Object obj : seq) {
            Map<String, Object> map = (Map<String, Object>) obj;
            // 计算: (实际-预测)的平方
            BigDecimal forResult = new BigDecimal(String.valueOf( AviatorEvaluator.execute("differenceSquare(ableValue,forecastAbleValue)",map)));
            // 求和
            sum = sum.add(forResult);
        }
        return new AviatorDecimal(sum);
    }
    @Override
    public String getName() {
        return "sumDifferenceSquare";
    }
}
